import { EventEmitter } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { FormType, Item } from "../../shared";
/**
 * Componente base para implementar diálogos con un formulario. Típico caso de representación de sublistas
 */
export declare abstract class BaseDialogFormComponent<T extends Item> {
    display: boolean;
    item: T;
    protected mode: FormType;
    protected onSaveItem: EventEmitter<T>;
    protected onDeleteItem: EventEmitter<Number>;
    protected onClose: EventEmitter<any>;
    myForm: FormGroup;
    /** Setea el elemento a mostrar en el dialog */
    abstract setItem: T;
    ngOnInit(): void;
    /** Crea el FormGroup asociado al diálogo */
    abstract createFormGroup(): FormGroup;
    saveItem(): void;
    deleteItem(): void;
    closeForm(): void;
    readonly isEditMode: boolean;
}
