import { OnInit, EventEmitter, ChangeDetectorRef } from "@angular/core";
import { FileUploader } from "ng2-file-upload";
import { GeneralUtils } from "../service/general-utils.service";
export declare class BitNGUploadComponent implements OnInit {
    private generalUtils;
    private changeDetector;
    uploader: FileUploader;
    hasDropZone: boolean;
    hasQueue: boolean;
    hasSingleUpload: boolean;
    hasMultipleUpload: boolean;
    deleteItemAfterUpload: boolean;
    canUpload: boolean;
    hasProgressBar: boolean;
    sizeDropZone: number;
    sizeQueue: number;
    onSuccess: EventEmitter<any>;
    onError: EventEmitter<any>;
    fileInput: any;
    hasBaseDropZoneOver: boolean;
    constructor(generalUtils: GeneralUtils, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    /** Arrancará el spinner en el caso de que la barra de progreso esté desactivada*/
    startLoading(): void;
    /** Parará el spinner en el caso de que la barra de progreso esté desactivada*/
    stopLoading(): void;
    /** Sube todos los ficheros en cola al servidor */
    uploadAll(): void;
    /** Elimina la cola de ficheros y deselecciona el fichero que pudiera estar seleccionado en el single input file */
    removeQueue(): void;
    /** Cancela la subida de ficheros al servidor */
    cancelQueue(): void;
    /** Sube un fichero al servidor de manera individual */
    uploadFile(item: any): void;
    /** Elimina de la cola un fichero en concreto y en el caso de que coincida con el seleccionado en el single input file, tambien
     * lo deselecciona
     */
    removeFile(item: any): void;
    /** Cancela la subida de un fichero de manera individual */
    cancelFile(item: any): void;
    /** Deselecciona el fichero seleccionado en el input file */
    removeInputFile(): void;
    /** Evento que se dispara cuando arrastran un fichero a la zona de drag&drop */
    fileOverBase(e: any): void;
}
