"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var message_service_1 = require("../service/message.service");
var general_utils_service_1 = require("../service/general-utils.service");
var http_utils_service_1 = require("../service/http-utils.service");
var CustomHttpInterceptor = /** @class */ (function () {
    function CustomHttpInterceptor(messageService, generalUtils) {
        this.messageService = messageService;
        this.generalUtils = generalUtils;
    }
    CustomHttpInterceptor.prototype.intercept = function (request, next) {
        var _this = this;
        console.log("interceptando la llamada http");
        this.generalUtils.startLoading();
        return next.handle(request).pipe(operators_1.catchError(function (error) {
            //this.store.dispatch(new AddGlobalError(error));
            console.log("error que nos retorna el server", error);
            var customError = http_utils_service_1.HttpUtilsService.getCustomError(error);
            console.log("custom error", error);
            _this.messageService.sendError(customError);
            return rxjs_1.throwError(error);
        }), operators_1.finalize(function () {
            console.log("finalizando la llamada http");
            _this.generalUtils.stopLoading();
        }));
    };
    CustomHttpInterceptor = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [message_service_1.MessageService, general_utils_service_1.GeneralUtils])
    ], CustomHttpInterceptor);
    return CustomHttpInterceptor;
}());
exports.CustomHttpInterceptor = CustomHttpInterceptor;
//# sourceMappingURL=custom-http-interceptor.js.map